#
Name:           libdrm-slp-gem
Version:        1.0.4
Release:        1
License:        MIT
Summary:        Userspace interface to slp-specific kernel DRM services -- runtime
Group:          System/Libraries
ExcludeArch:    i586
Source0:        %{name}-%{version}.tar.gz

%description
This library implements the userspace interface to the intel-specific kernel
DRM services.  DRM stands for "Direct Rendering Manager", which is the
kernelspace portion of the "Direct Rendering Infrastructure" (DRI). The DRI is
currently used on Linux to provide hardware-accelerated OpenGL drivers.

%prep
%setup -q

%build

autoreconf -vfi
./configure --prefix=%{_prefix} --libdir=%{_libdir}/bufmgr

make %{?jobs:-j%jobs}

%install
%make_install


%post
if [ -f %{_libdir}/bufmgr/libdrm_slp_default.so ]; then
    rm -rf %{_libdir}/bufmgr/libdrm_slp_default.so
fi
ln -s libdrm_slp_gem.so %{_libdir}/bufmgr/libdrm_slp_default.so

%postun -p /sbin/ldconfig

%files
%{_libdir}/bufmgr/libdrm_slp_*.so*

